with GNATCOM.Dispinterface;

package MSHTML.IWBScriptControl_Object is

   type IWBScriptControl_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure raiseEvent
     (This      : IWBScriptControl_Type;
      name      : GNATCOM.Types.VARIANT;
      eventData : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

   procedure bubbleEvent
     (This : IWBScriptControl_Type);

   procedure setContextMenu
     (This          : IWBScriptControl_Type;
      menuItemPairs : GNATCOM.Types.VARIANT;
      Free          : Boolean := True);

   procedure Put_selectableContent
     (This : IWBScriptControl_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_selectableContent
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT;

   function Get_frozen
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_Scrollbar
     (This : IWBScriptControl_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_Scrollbar
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT;

   function Get_version
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT;

   function Get_visibility
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onvisibilitychange
     (This : IWBScriptControl_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onvisibilitychange
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IWBScriptControl_Object;

